System.memclean()
fond = Image.load("Images/system.png")
battery1 = Image.load("images/battery4.png")
battery2 = Image.load("images/battery3.png")
battery3 = Image.load("images/battery2.png")
battery4 = Image.load("images/battery1.png")

function Nil_Pictures()
fond = nil
battery1 = nil
battery2 = nil
battery3 = nil
battery4 = nil
end

Nom = System.nickName()
Mac = Adhoc.getMac()
Version = System.cfwVersion()
Model = System.getModel(1)
Batterie = System.powerGetBatteryLifePercent()
Cpu = System.getCpuSpeed()

noir = Color.new(0,0,0)

while true do
pad = Controls.read()
screen:blit (0,0,fond)
-------Batterie---------------
if System.powerGetBatteryLifePercent() >= 0 then batteryL = battery1 end
if System.powerGetBatteryLifePercent() > 30 then batteryL = battery2 end
if System.powerGetBatteryLifePercent() > 50 then batteryL = battery3 end
if System.powerGetBatteryLifePercent() > 70 then batteryL = battery4 end
-------------
screen:blit(4,3,batteryL)

screen:print(196,40,"" ..Nom.. "",noir)
screen:print(265,78,"" ..Mac.. "",noir)
screen:print(243,115,"" ..Version.. "",noir)
screen:print(253,151,"" ..Model.. "",noir)
screen:print(225,188,"" ..Batterie.. " %",noir)
screen:print(253,226,"" ..Cpu.. "",noir)

if pad:square() then
Nil_Pictures()
dofile ("Scripts/menu.lua")
end

screen.waitVblankStart()
screen.flip()
end 